<?php
include "../../inc/inc.koneksi.php";
session_start();

$table	="faktur_pj";

$kode		=$_POST[kode];
$tanggal	=$_POST[tanggal];
$kodeplg	=$_POST[kodeplg];
$namaplg	=$_POST[namaplg];
$tanggaljt	=$_POST[tanggaljt];
$user 		=$_POST[user];
$total		=$_POST[total];
$bayar		=$_POST[bayar];
$kurang 	=$_POST[kurang];
$thpp 		=$_POST[tothpp];
$laba		=$total-$thpp;

$sql= mysql_query("SELECT * FROM interface");
$r	= mysql_fetch_assoc($sql);
$kas 	 	= $r[kas];
$piut    	= $r[piutang];
$persed	    = $r[persed];
$labapb		= $r[laba_pb];
$jual 	 	= $r[penjualan];
$potjual 	= $r[pot_jual];
$nohpp 	    = $r[hpp];
$labrug  	= $r[laba_rugi];
$nosubks	= substr($kas,0,3);
$nosubpi 	= substr($piut,0,3);
$nosubps	= substr($persed,0,3);
$nosublpb	= substr($labapb,0,3);
$nosubjl 	= substr($jual,0,3);
$nosubpj 	= substr($potjual,0,3);
$nosubhpp   = substr($nohpp,0,3);
$nosublr	= substr($labrug,0,3);
$nobppi  	= $piut.$kodeplg;

$sql 	= mysql_query("SELECT kode_pj,no_urut FROM $table WHERE kode_pj='$kode' GROUP BY kode_pj");
$r_data	= mysql_fetch_assoc($sql);
$no_urut= $r_data[no_urut];

mysql_query("UPDATE $table SET bayar='$bayar',kurang='$kurang' WHERE kode_pj='$kode' AND no_urut='$no_urut'");
	
$sql = mysql_query("SELECT * FROM $table WHERE kode_pj='$kode' AND posting='' ORDER BY kode_pj");
$row= mysql_num_rows($sql);
if($row>0){
	while ($r=mysql_fetch_array($sql)){
		$nourut	=$r[no_urut];
		$kodest =$r[kode_st];
		$jmlunit=$r[jml_unit];
		$hgjual	=$r[hg_jual];
		
		mysql_query("UPDATE stock SET jml_stok=jml_stok-$jmlunit WHERE kode_st='$kodest'");		
		mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,no_bukti,no_urut,kode_st,keterangan,keluar,harga,user) VALUES('$kode','PJL','$tanggal','$kode','$nourut','$kodest','Penjualan ke $namaplg','$jmlunit','$hgjual','$user')");
	}

	// --->kas debet
	if(!$bayar==0){
		$sql = mysql_query("SELECT noakun,mutasi_db FROM akun_bb WHERE noakun='$kas' ");
		$r = mysql_fetch_assoc($sql);
		if($bayar>$total){		
			$tunai = $total;
			mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$total WHERE noakun='$kas'");
		}else{
			$tunai = $bayar;
			mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$bayar WHERE noakun='$kas'");
		}
		
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kode','PJL','$tanggal','$kode','$kas','$nosubks','$tunai','Penjualan ke $namaplg','$user')");
	}

	// --->piutang debet
	if(!$kurang==0){	
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$kurang WHERE noakun='$piut'");
		mysql_query("UPDATE akun_bp SET mutasi_db=mutasi_db+$kurang WHERE noakun='$nobppi'");
		mysql_query("INSERT INTO piutang (kode_pl,nama,nofak,tanggal,jumlah,tanggal_jt) VALUES('$kodeplg','$namaplg','$kode','$tanggal','$kurang','$tanggaljt')");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,debet,keterangan,user) VALUES('$kode','PJL','$tanggal','$kode','$piut','$nosubpi','$nobppi','$kurang','Kurang bayar $namaplg','$user')");
	}

	// --->hpp debet	
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$thpp WHERE noakun='$nohpp'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kode','PJL','$tanggal','$kode','$nohpp','$nosubhpp','$thpp','Penjualan ke $namaplg','$user')");

	// --->penjualan kredit
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$total WHERE noakun='$jual'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kode','PJL','$tanggal','$kode','$jual','$nosubjl','$total','Penjualan ke $namaplg','$user')");

	// --->persediaan barang jadi kredit
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$thpp WHERE noakun='$persed'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kode','PJL','$tanggal','$kode','$persed','$nosubps','$thpp','Penjualan ke $namaplg','$user')");

	// --->laba rugi debet	
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$laba WHERE noakun='$labrug'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kode','PJL','$tanggal','$kode','$labrug','$nosublr','$laba','Laba penjualan ke $namaplg','$user')");

	// --->laba periode berjalan kredit	
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$laba WHERE noakun='$labapb'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kode','PJL','$tanggal','$kode','$labapb','$nosublpb','$laba','Laba penjualan ke $namaplg','$user')");

	// --->menandai bahwa data faktur telah diproses
	mysql_query("UPDATE faktur_pj SET posting='P' WHERE kode_pj='$kode'");

	echo "Data sukses disimpan";
}
?>